//
//  HelpCenterVC.swift
//  XQMuse
//
//  Created by 无故事王国 on 2024/8/21.
//

import UIKit
import SPPageMenu
import FFPage
import JQTools

class HelpCenterVC: BaseVC {

				@IBOutlet weak var view_content: UIView!

				private(set) var pageMenu:SPPageMenu = {
								let pageMenu = SPPageMenu(frame: .zero, trackerStyle: .line)
								// 追踪线
								pageMenu.trackerWidth = 12
								pageMenu.setTrackerHeight(2, cornerRadius:1)
								pageMenu.trackerFollowingMode = .always
								pageMenu.contentInset = UIEdgeInsets(top: 0, left: 0, bottom: 5, right: 0)
								pageMenu.setItems(["切换账号","改绑手机号","改绑微信"], selectedItemIndex: 0)
								pageMenu.backgroundColor = UIColor(hexString: "#F0F0F0")
								pageMenu.tracker.backgroundColor = .white
								pageMenu.backgroundColor = .white

								// 分割线
								pageMenu.dividingLine.backgroundColor = .clear
								pageMenu.dividingLineHeight = 0.0

								// item
								pageMenu.permutationWay = .notScrollAdaptContent

								// 字体
								pageMenu.selectedItemTitleFont = UIFont.systemFont(ofSize: 18, weight: .semibold)
								pageMenu.unSelectedItemTitleFont = UIFont.systemFont(ofSize: 15, weight: .semibold)
								// 颜色
								pageMenu.selectedItemTitleColor = UIColor(hexStr: "#282828")
								pageMenu.unSelectedItemTitleColor = UIColor(hexStr: "#C3C3C2")
								return pageMenu
				}()

				lazy var pageViewController:FFPageViewController = {
								let pageVC = FFPageViewController()
								pageVC.view.backgroundColor = .clear
								pageVC.scrollview.backgroundColor = .clear

								pageVC.scrollview.bounces = false
								return pageVC
				}()

				override func viewDidLoad() {
        super.viewDidLoad()
								title = "帮助中心"
    }

				override func setUI() {
								super.setUI()
								pageMenu.delegate = self

								view_content.addSubview(pageMenu)
								pageMenu.snp.makeConstraints { make in
												make.left.right.equalToSuperview()
												make.height.equalTo(52.5)
												make.top.equalTo(17.5)
								}

								let lineView = UIView()
								lineView.backgroundColor = UIColor(hexString: "#D0D0D0")
								view_content.addSubview(lineView)
								lineView.snp.makeConstraints { make in
												make.top.equalTo(pageMenu.snp.bottom)
												make.left.equalTo(20)
												make.right.equalTo(-20)
												make.height.equalTo(0.5)
								}


								view.addSubview(pageViewController.view)
								pageViewController.view.backgroundColor = .clear
								pageViewController.delegate = self
								pageViewController.view.snp.makeConstraints { make in
												make.top.equalTo(lineView.snp.bottom)
												make.left.right.bottom.equalToSuperview()
								}
				}
}

extension HelpCenterVC:SPPageMenuDelegate{
				func pageMenu(_ pageMenu: SPPageMenu, itemSelectedAt index: Int) {
								pageViewController.scroll(toPage: index, animation: true)
				}
}


extension HelpCenterVC:FFPageViewControllerDelegate{

				func pageViewController(_ pageViewController: FFPageViewController, currentPageChanged currentPage: Int) {
								pageMenu.selectedItemIndex = currentPage
				}

				func totalPagesOfpageViewController(_ pageViewConteoller: FFPageViewController) -> UInt {
								return pageMenu.numberOfItems
				}

				func pageViewController(_ pageViewConteoller: FFPageViewController, controllerForPage page: Int) -> UIViewController {
								return HelpCenterDetailVC(page: page)
				}
}

class HelpCenterDetailVC:BaseVC{
				private var page:Int!

				private var label_content:UILabel!
				private var btn_handle:UIButton!

				init(page:Int) {
								super.init(nibName: nil, bundle: nil)
								self.page = page
				}

				override func setUI() {
								label_content = UILabel()
								label_content.numberOfLines = 0
								view.addSubview(label_content)
								label_content.snp.makeConstraints { make in
												make.top.equalTo(24)
												make.left.equalTo(20.5)
												make.right.equalTo(-20.5)
								}

								btn_handle = UIButton(type: .custom)
								btn_handle.backgroundColor = UIColor(hexString: "#8AAE65")
								btn_handle.jq_cornerRadius = 21.25
								btn_handle.titleLabel?.font = UIFont.systemFont(ofSize: 15, weight: .medium)
								btn_handle.addTarget(self, action: #selector(exchangeAction), for: .touchUpInside)
								view.addSubview(btn_handle)
								btn_handle.snp.makeConstraints { make in
												make.top.equalTo(label_content.snp.bottom).offset(69.5)
												make.left.equalTo(51.5)
												make.right.equalTo(-51.5)
												make.height.equalTo(42.5)
								}

								let attribute = AttributedStringbuilder.build()
								switch page {
												case 0:
																attribute.add(string: "如你当前登录泉疗愈的手机号码不是购买课程时填写的手机号码，请点击下方按钮，使用购买课程的手机号码登录即可。", withFont: .systemFont(ofSize: 13), withColor: UIColor(hexString:"#282828")!, indent: 0, lineSpace: 5)
																btn_handle.setTitle("换个手机号登录", for: .normal)
												case 1:
																attribute.add(string: "如你希望变更泉疗愈的手机号码，请点击下方按钮，根据页面提示录入新的手机号码。", withFont: .systemFont(ofSize: 13), withColor: UIColor(hexString:"#282828")!, indent: 0, lineSpace: 5)
																btn_handle.setTitle("前往改绑手机号", for: .normal)
												case 2:
																attribute.add(string: "如你希望变更泉疗愈的微信号，请点击下方按钮，根据页面提示授权登录其他微信号。", withFont: .systemFont(ofSize: 13), withColor: UIColor(hexString:"#282828")!, indent: 0, lineSpace: 5)
																btn_handle.setTitle("前往改绑微信号", for: .normal)

												default:break
								}

								label_content.attributedText = attribute.mutableAttributedString
				}

				@objc func exchangeAction(){
								if page == 0{
												sceneDelegate?.needLogin()
								}else{
												JQ_currentNavigationController().pushViewController(BindAccountVC(), animated: true)
								}
				}

				required init?(coder: NSCoder) {
								fatalError("init(coder:) has not been implemented")
				}
				
}
